package flow.pojo;

import java.util.ArrayList;
import java.util.List;

public class SelfService {
	
	private String ewtLimit;
	private String menu1Category;
	private String menu2Category;
	private String serviceMapCategory;
	
	private List<Attribute> attributes = new ArrayList<Attribute>();
	
	public SelfService(List<Attribute> attributes, String ewtLimit, String menu1Category, String menu2Category, String serviceMapCategory) {
		super();
		this.attributes = attributes;
		this.menu1Category = menu1Category;
		this.menu2Category = menu2Category;
		this.serviceMapCategory = serviceMapCategory;		
	}

	public List<Attribute> getAttributes() {
		return attributes;
	}
	
	public void setAttributes(List<Attribute> attributes) {
		this.attributes = attributes;
	}
	
	public String getEwtLimit() {
		return ewtLimit;
	}
		
	public void setEwtLimit(String ewtLimit) {
		this.ewtLimit = ewtLimit;
	}
	
	public String getMenu1Category() {
		return menu1Category;
	}
		
	public void setMenu1Category(String menu1Category) {
		this.menu1Category = menu1Category;
	}

	public String getMenu2Category() {
		return menu2Category;
	}
		
	public void setMenu2Category(String menu2Category) {
		this.menu2Category = menu2Category;
	}

	public String getServiceMapCategory() {
		return serviceMapCategory;
	}
		
	public void setServiceMapCategory(String serviceMapCategory) {
		this.serviceMapCategory = serviceMapCategory;
	}	
}
